import sys

try:
    with open("answer", "r") as f:
        answer = [s.rstrip("\n") for s in f.readlines()]
    with open("user_out", "r") as f:
        output = [s.rstrip("\n") for s in f.readlines()]

    # Too few output
    for i in range(len(output), len(answer)):
        if answer[i] != "":
            print("0")
            sys.exit(0)

    # Too much output
    for i in range(len(answer), len(output)):
        if output[i] != "":
            print("0")
            sys.exit(0)

    # Wrong output
    for i in range(min(len(output), len(answer))):
        if answer[i].rstrip(" ") != output[i].rstrip(" "):
            print("0")
            sys.exit(0)

    print("100")

except Exception as e:
    print("0")
    print(repr(e), file=sys.stderr)
